IF (SELECT DATA_TYPE FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.Person' AND COLUMN_NAME = 'DateOfBirth') = 'datetime'
BEGIN
	ALTER TABLE [Data.Application.Person] ALTER COLUMN DateOfBirth VARCHAR(50) NULL

	UPDATE [Data.Application.Person] SET DateOfBirth = LEFT(CONVERT(VARCHAR(50), CAST(DateOfBirth AS DATETIME), 113), 20) + '.000'
END

IF (SELECT DATA_TYPE FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.Resume' AND COLUMN_NAME = 'DateOfBirth') = 'datetime'
BEGIN
	ALTER TABLE [Data.Application.Resume] ALTER COLUMN DateOfBirth VARCHAR(50) NULL

	UPDATE [Data.Application.Resume] SET DateOfBirth = LEFT(CONVERT(VARCHAR(50), CAST(DateOfBirth AS DATETIME), 113), 20) + '.000'
END

IF (SELECT DATA_TYPE FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Report.JobSeeker' AND COLUMN_NAME = 'DateOfBirth') = 'datetime'
BEGIN
	ALTER TABLE [Report.JobSeeker] ALTER COLUMN DateOfBirth VARCHAR(50) NULL

	UPDATE [Report.JobSeeker] SET DateOfBirth = LEFT(CONVERT(VARCHAR(50), CAST(DateOfBirth AS DATETIME), 113), 20) + '.000'
END

IF (SELECT CHARACTER_MAXIMUM_LENGTH FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.Person' AND COLUMN_NAME = 'SocialSecurityNumber') = 11
BEGIN
	ALTER TABLE [Data.Application.Person] ALTER COLUMN SocialSecurityNumber VARCHAR(50) NULL
END
